@import "src/assets/styles/_for-react-components.scss";

$parent: 'react-checkbox';

@include block($parent) {
  -webkit-tap-highlight-color: transparent;

  @include element($parent, 'input') {
    display: none;

    &:checked + .#{$parent}__wrapper {
      border-color: var(--color-grey-500);
      border-bottom-width: 3px;
    }

    @media (hover: hover) {
      &:not(:disabled):not(:checked) + .#{$parent}__wrapper:hover {
        border-color: var(--color-grey-500);
        border-bottom-width: 2px;
      }
    }
  }

  @include element($parent, 'wrapper') {
    display: flex;
    align-items: center;
    justify-content: center;
    width: rem(50);
    min-width: rem(50);
    height: rem(40);
    padding: rem(12);
    border-bottom: 1px solid var(--color-grey-500-50);
    color: var(--color-grey-500);
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
    text-align: center;
    text-transform: uppercase;
    cursor: pointer;

    @include min-media('t') {
      height: rem(48);
    }
  }

  @include modifier($parent, 'long') {
    flex-grow: 1;
    max-width: rem(151);

    @include element($parent, 'wrapper') {
      width: auto;
    }
  }
}
